## kdeartwork 4.13.0

=== styles/CMakeLists.txt ===
add_subdirectory( phase )

=== desktopthemes/Tibanna/CMakeLists.txt ===
set(THEME_NAME "Tibanna")

install(FILES metadata.desktop DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/${THEME_NAME}/)

FILE(GLOB widgets widgets/*.svgz)
install( FILES ${widgets} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/${THEME_NAME}/widgets/ )

FILE(GLOB dialogs dialogs/*.svgz)
install( FILES ${dialogs} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/${THEME_NAME}/dialogs/ )

FILE(GLOB opaque opaque/widgets/*.svgz)
install( FILES ${opaque} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/${THEME_NAME}/opaque/widgets/ )

FILE(GLOB opaque opaque/dialogs/*.svgz)
install( FILES ${opaque} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/${THEME_NAME}/opaque/dialogs/ )

=== kscreensaver/kdesavers/CMakeLists.txt ===
macro_optional_find_package(Eigen2)
macro_log_feature(EIGEN2_FOUND "Eigen2" "A C++ template library for linear algebra" "kdesupport" FALSE "" "Needed to build the krotation and kpendulum screensavers" )

macro_optional_find_package(Kexiv2)
macro_log_feature(KEXIV2_FOUND "Kexiv2" "A C++ library for exiv manipulation" "kdegraphics" FALSE "" "Needed to rotate photos with exif data" )

option(KSCREENSAVER_SOUND_SUPPORT "Build with sound support" OFF)

include_directories(${KDE4WORKSPACE_INCLUDE_DIR} ${OPENGL_INCLUDE_DIR})

add_subdirectory( data )
macro_optional_add_subdirectory( asciiquarium )

if (WIN32)
    SET(LIBMATH "")
else (WIN32)
    SET(LIBMATH "m")
endif (WIN32)

########### next target ###############

set(kbanner.kss_SRCS banner.cpp )

kde4_add_executable(kbanner.kss ${kbanner.kss_SRCS})

target_link_libraries(kbanner.kss ${KDE4_KDEUI_LIBS} ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY})

install(TARGETS kbanner.kss  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### next target ###############

set(kpolygon.kss_SRCS polygon.cpp )

kde4_add_executable(kpolygon.kss ${kpolygon.kss_SRCS})

target_link_libraries(kpolygon.kss ${KDE4_KDEUI_LIBS} ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY})

install(TARGETS kpolygon.kss  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### next target ###############

set(kslideshow.kss_SRCS slideshow.cpp )

kde4_add_ui_files(kslideshow.kss_SRCS slideshowcfg.ui )

kde4_add_executable(kslideshow.kss ${kslideshow.kss_SRCS})

macro_bool_to_01(KEXIV2_FOUND HAVE_KEXIV2)

if(HAVE_KEXIV2)
    include_directories( ${KEXIV2_INCLUDES} )
    set_source_files_properties(slideshow.cpp PROPERTIES COMPILE_FLAGS -DHAVE_KEXIV2)
    target_link_libraries(kslideshow.kss  ${KDE4_KIO_LIBS}  ${LIBMATH}  ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY} ${KEXIV2_LIBRARIES})
else(HAVE_KEXIV2)
    target_link_libraries(kslideshow.kss  ${KDE4_KIO_LIBS}  ${LIBMATH}  ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY})
endif(HAVE_KEXIV2)

install(TARGETS kslideshow.kss  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### next target ###############

set(klines.kss_SRCS lines.cpp )

kde4_add_executable(klines.kss ${klines.kss_SRCS})

target_link_libraries(klines.kss ${KDE4_KDEUI_LIBS} ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY})

install(TARGETS klines.kss  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### next target ###############

set(klorenz.kss_SRCS lorenz.cpp )

kde4_add_executable(klorenz.kss ${klorenz.kss_SRCS})

target_link_libraries(klorenz.kss ${KDE4_KDEUI_LIBS} ${LIBMATH} ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY})

install(TARGETS klorenz.kss  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### next target ###############

set(kblob.kss_SRCS blob.cpp )

kde4_add_executable(kblob.kss ${kblob.kss_SRCS})

target_link_libraries(kblob.kss ${KDE4_KDEUI_LIBS} ${LIBMATH} ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY})

install(TARGETS kblob.kss  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### next target ###############

set(kvm.kss_SRCS kvm.cpp vm.c vm_random.c )

kde4_add_executable(kvm.kss ${kvm.kss_SRCS})

target_link_libraries(kvm.kss ${KDE4_KDEUI_LIBS} ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY})

install(TARGETS kvm.kss  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### next target ###############

set(kclock.kss_SRCS kclock.cpp )

kde4_add_executable(kclock.kss ${kclock.kss_SRCS})

target_link_libraries(kclock.kss ${KDE4_KDEUI_LIBS} ${LIBMATH} ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY})

install(TARGETS kclock.kss ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(FILES KClock.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ScreenSavers)


########### next target ###############

#set($(X11_KSAVERS)_SRCS dummy.cpp )
if(Q_WS_X11)
    set(kscience.kss_SRCS science.cpp )

    kde4_add_executable(kscience.kss ${kscience.kss_SRCS})

    target_link_libraries(kscience.kss ${KDE4_KDEUI_LIBS} ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY} ${X11_LIBRARIES})

    install(TARGETS kscience.kss ${INSTALL_TARGETS_DEFAULT_ARGS} )
    install(FILES KScience.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ScreenSavers)
endif(Q_WS_X11)

########### next target ###############

message(STATUS "readd opengl+sound support screensaver")
if(OPENGL_FOUND AND OPENGL_GLU_FOUND AND KSCREENSAVER_SOUND_SUPPORT)
#set(kfiresaver.kss_SRCS firesaverparticle.cpp firesaverwriter.cpp firesaver.cpp )
#kde4_add_ui3_files(kfiresaver.kss_SRCS aversetup.ui)
##kde4_add_executable(kfiresaver.kss ${kfiresaver.kss_SRCS})
#target_link_libraries(kfiresaver.kss  ${KDE4_KDEUI_LIBS} )
#install(TARGETS kfiresaver.kss ${INSTALL_TARGETS_DEFAULT_ARGS} )
#install( FILES KFiresaver.desktop DESTINATION  ${SERVICES_INSTALL_DIR}/ScreenSavers )
endif(OPENGL_FOUND AND OPENGL_GLU_FOUND AND KSCREENSAVER_SOUND_SUPPORT)

########### next target ###############
if(OPENGL_FOUND AND OPENGL_GLU_FOUND AND QT_QTOPENGL_LIBRARY)

  ## krotation, kpendulum need Eigen2
  if (EIGEN2_FOUND)
    include_directories(${EIGEN2_INCLUDE_DIR})

    set(krotation.kss_SRCS rotation.cpp sspreviewarea.cpp)
    kde4_add_ui_files(krotation.kss_SRCS rotationcfg.ui)
    kde4_add_executable(krotation.kss ${krotation.kss_SRCS})
    target_link_libraries(krotation.kss ${KDE4_KDEUI_LIBS} ${QT_QTOPENGL_LIBRARY} ${OPENGL_gl_LIBRARY} ${OPENGL_glu_LIBRARY} ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY})
    install(TARGETS krotation.kss ${INSTALL_TARGETS_DEFAULT_ARGS})

    set(kpendulum.kss_SRCS pendulum.cpp sspreviewarea.cpp)
    kde4_add_ui_files(kpendulum.kss_SRCS pendulumcfg.ui)
    kde4_add_executable(kpendulum.kss ${kpendulum.kss_SRCS})
    target_link_libraries(kpendulum.kss ${KDE4_KDEUI_LIBS} ${QT_QTOPENGL_LIBRARY} ${OPENGL_gl_LIBRARY} ${OPENGL_glu_LIBRARY} ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY})
    install(TARGETS kpendulum.kss ${INSTALL_TARGETS_DEFAULT_ARGS})
  endif (EIGEN2_FOUND)

  set(ksolarwinds.kss_SRCS SolarWinds.cpp )
  kde4_add_executable(ksolarwinds.kss ${ksolarwinds.kss_SRCS})
  target_link_libraries( ksolarwinds.kss ${KDE4_KDEUI_LIBS} ${QT_QTOPENGL_LIBRARY} ${OPENGL_gl_LIBRARY} ${OPENGL_glu_LIBRARY} ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY})
  install(TARGETS ksolarwinds.kss ${INSTALL_TARGETS_DEFAULT_ARGS} )

  set(kflux.kss_SRCS Flux.cpp )
  kde4_add_executable(kflux.kss ${kflux.kss_SRCS})
  target_link_libraries( kflux.kss ${KDE4_KDEUI_LIBS} ${QT_QTOPENGL_LIBRARY} ${OPENGL_gl_LIBRARY} ${OPENGL_glu_LIBRARY} ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY})
  install(TARGETS kflux.kss ${INSTALL_TARGETS_DEFAULT_ARGS} )

  set(keuphoria.kss_SRCS Euphoria.cpp )
  kde4_add_executable(keuphoria.kss ${keuphoria.kss_SRCS})
  target_link_libraries( keuphoria.kss ${KDE4_KDEUI_LIBS} ${QT_QTOPENGL_LIBRARY} ${OPENGL_gl_LIBRARY} ${OPENGL_glu_LIBRARY} ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY})
  install(TARGETS keuphoria.kss ${INSTALL_TARGETS_DEFAULT_ARGS} )

  set(kfountain.kss_SRCS fountain.cpp )
  kde4_add_ui_files(kfountain.kss_SRCS fountaincfg.ui)
  kde4_add_executable(kfountain.kss ${kfountain.kss_SRCS})
  target_link_libraries( kfountain.kss ${KDE4_KDEUI_LIBS} ${QT_QTOPENGL_LIBRARY} ${OPENGL_gl_LIBRARY} ${OPENGL_glu_LIBRARY} ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY})
  install(TARGETS kfountain.kss ${INSTALL_TARGETS_DEFAULT_ARGS} )

  set(kwave.kss_SRCS wave.cpp )
  kde4_add_ui_files(kwave.kss_SRCS wavecfg.ui)
  kde4_add_executable(kwave.kss ${kwave.kss_SRCS})
  target_link_libraries( kwave.kss ${KDE4_KDEUI_LIBS} ${QT_QTOPENGL_LIBRARY} ${OPENGL_gl_LIBRARY} ${OPENGL_glu_LIBRARY} ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY})
  install(TARGETS kwave.kss ${INSTALL_TARGETS_DEFAULT_ARGS} )

  set(kgravity.kss_SRCS gravity.cpp )
  kde4_add_ui_files(kgravity.kss_SRCS gravitycfg.ui)
  kde4_add_executable(kgravity.kss ${kgravity.kss_SRCS})
  target_link_libraries( kgravity.kss ${KDE4_KDEUI_LIBS} ${QT_QTOPENGL_LIBRARY} ${OPENGL_gl_LIBRARY} ${OPENGL_glu_LIBRARY} ${KDE4WORKSPACE_KSCREENSAVER_LIBRARY})
  install(TARGETS kgravity.kss ${INSTALL_TARGETS_DEFAULT_ARGS} )

  install( FILES KGravity.desktop KWave.desktop KFountain.desktop KFlux.desktop KEuphoria.desktop KSolarWinds.desktop KRotation.desktop KPendulum.desktop DESTINATION  ${SERVICES_INSTALL_DIR}/ScreenSavers )

endif(OPENGL_FOUND AND OPENGL_GLU_FOUND AND QT_QTOPENGL_LIBRARY)

########### install files ###############

install( FILES kscience.png particle.png image.png  DESTINATION  ${DATA_INSTALL_DIR}/kscreensaver )
install( FILES KBanner.desktop KPolygon.desktop KSlideshow.desktop KLines-saver.desktop KLorenz.desktop KBlob.desktop KVm.desktop DESTINATION  ${SERVICES_INSTALL_DIR}/ScreenSavers )

=== kwin-styles/modernsystem/CMakeLists.txt ===
add_subdirectory( config ) 

########### next target ###############

set(kwin3_modernsys_PART_SRCS modernsys.cpp)


kde4_add_plugin(kwin3_modernsys ${kwin3_modernsys_PART_SRCS})

target_link_libraries(kwin3_modernsys
   ${KDE4WORKSPACE_KDECORATIONS_LIBS}
   ${KDE4_KDEUI_LIBS}
   ${QT_QTGUI_LIBRARY}
   ${QT_QTCORE_LIBRARY})

install(TARGETS kwin3_modernsys  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES modernsystem.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kwin/ )

=== kwin-styles/modernsystem/config/CMakeLists.txt ===



########### next target ###############

set(kwin_modernsys_config_PART_SRCS config.cpp )


kde4_add_plugin(kwin_modernsys_config ${kwin_modernsys_config_PART_SRCS})



target_link_libraries(kwin_modernsys_config  ${KDE4_KDEUI_LIBS} ${QT_QTGUI_LIBRARY}) 

install(TARGETS kwin_modernsys_config  DESTINATION ${PLUGIN_INSTALL_DIR} )

=== debian/changelog ===
kdeartwork (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:44:20 +0100

kdeartwork (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:15:15 +0200

kdeartwork (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:02:57 +0100

kdeartwork (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:42:52 +0000

kdeartwork (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:37:06 +0100

=== debian/control ===
Source: kdeartwork
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libx11-xcb-dev,
 kde-workspace-dev (>= 4:4.11.2), libxt-dev, libstreamanalyzer-dev (>= 0.6.3),
 xscreensaver, xscreensaver-data, xscreensaver-data-extra, xscreensaver-gl, xscreensaver-gl-extra, 
 libqt4-opengl-dev [!armel !armhf], libeigen2-dev, xscreensaver-screensaver-bsod,
 xscreensaver-screensaver-webcollage, libkexiv2-dev (>= 4:4.13.0), pkg-config
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeartwork
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeartwork
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdeartwork.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdeartwork.git

Package: kdeartwork
Architecture: all
Depends: ${misc:Depends}, kdeartwork-emoticons (>= ${source:Version}),
 kdeartwork-style (>= ${source:Version}), kdeartwork-theme-icon (>= ${source:Version}) | kdelibs5-data,
 kdewallpapers (>= ${source:Version}), kscreensaver (>= ${source:Version}),
 plasma-desktopthemes-artwork (>= ${source:Version}), kdeartwork-theme-window (>= ${source:Version})
Replaces: kdeartwork-misc
Breaks: kdeartwork-misc
Description: themes, styles and other artwork from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes a collection of additional artwork provided with the
 official release of KDE.

Package: kdeartwork-emoticons
Architecture: all
Depends: ${misc:Depends}
Description: emoticon collections for chat clients
 This package contains several collections of emoticons for chat clients,
 such as Kopete and Konversation.
 .
 This package is part of the KDE artwork module.


Package: kdewallpapers
Architecture: all
Depends: ${misc:Depends}
Suggests: kde-window-manager | x-window-manager
Replaces: kdebase-workspace-data (<< 4:4.7.0), kde-wallpapers (<< 4:4.10)
Breaks: kdebase-workspace-data (<< 4:4.7.0), kde-wallpapers (<< 4:4.10)
Description: extra KDE artwork wallpapers for the KDE Plasma Workspaces
 This package contains more additional wallpapers for KDE Plasma Workspaces,
 in addition to the ones provided with kde-wallpapers.
 .
 This package is part of the KDE artwork module.


Package: kdeartwork-theme-icon
Depends: ${misc:Depends}, nuvola-icon-theme (>= ${source:Version}),
 kde-icons-mono (>= ${source:Version})
Architecture: all
Description: additional icon themes
 This metapackage installs additional icon themes for KDE.
 .
 This package is part of the KDE artwork module.

Package: kde-icons-nuvola
Section: oldlibs
Architecture: all
Priority: extra
Depends: ${misc:Depends}, nuvola-icon-theme
Description: transitional package for Nuvola icon theme
 Transitional package for ease upgrading from Nuvola icons as shipped
 in KDE 3 series.

Package: nuvola-icon-theme
Section: x11
Architecture: all
Depends: ${misc:Depends}
Replaces: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.0-3)
Conflicts: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.0-3)
Description: Nuvola icon theme
 This package contains the Nuvola icon theme for KDE.
 .
 Nuvola follows the freedesktop.org icon schemes, so it can be used in other
 desktop environments using this specification.
 .
 This package is part of the KDE artwork module.

Package: kde-icons-mono
Architecture: all
Depends: ${misc:Depends}
Replaces: kmouth (<< 4:4.6)
Breaks: kmouth (<< 4:4.6)
Description: monochromatic icons theme
 A monochromatic icon theme, designed for accessibility purposes.
 .
 This package is part of the KDE accessibility module

Package: kdeartwork-theme-window
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kde-window-manager (<< 4:4.5.80)
Breaks: kde-window-manager (<< 4:4.5.80)
Description: window decoration for the K Window manager (KWin)
 This package contains additional window decorations for K Window Manager
 .
 This package is part of the KDE artwork module.


Package: kdeartwork-style
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: widget styles for applications using Qt or KDE Development Platform
 Currently it provides the following themes:
  * phase
 .
 This package is part of the KDE artwork module.


Package: kscreensaver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-workspace-bin
Recommends: kde-window-manager, kscreensaver-xsavers (= ${binary:Version})
Description: Additional screensavers for KScreenSaver
 This package contains screensavers for KScreenSaver.
 .
 KScreenSaver can use XScreenSaver collection of screensavers with the
 'kscreensaver-xsavers' package.
 .
 This package is part of the KDE artwork module.


Package: kscreensaver-xsavers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-workspace-bin, xscreensaver-data, xscreensaver-data-extra, xscreensaver-screensaver-bsod
Recommends: kde-window-manager, kscreensaver (= ${binary:Version}), xscreensaver-gl, xscreensaver-gl-extra
Suggests: kscreensaver-xsavers-webcollage (= ${source:Version})
Replaces: kscreensaver-xsavers-extra
Breaks: kscreensaver-xsavers-extra
Description: xscreensaver support for KScreenSaver
 This package allows KScreenSaver to use the XScreenSaver collection of
 screensavers.
 .
 This package is part of the KDE artwork module.


Package: kscreensaver-xsavers-webcollage
Architecture: all
Depends: ${misc:Depends}, kscreensaver-xsavers (>= ${source:Version}), xscreensaver-screensaver-webcollage, miscfiles, netpbm
Description: webcollage screensaver support for KScreenSaver
 This package allows KScreenSaver to use the WebCollage screensaver, which
 downloads random pictures from the internet to create a collage.
 .
 IMPORTANT NOTICE: The internet contains all kinds of pictures, some of which
 might be found inappropriate or offensive.
 It is recommended that this screensaver not be used a public environment,
 workplace, or where it may be seen by children.
 .
 Please read /usr/share/doc/kscreensaver-xsavers-webcollage/README.Debian
 after installing this package.
 .
 This package is part of the KDE artwork module.


Package: plasma-desktopthemes-artwork
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: desktop themes for KDE Plasma Workspaces
 This package include several desktops theme to change Plasma look and feel
 .
 This package is part of the KDE artwork module.

Package: kdeartwork-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdeartwork (= ${source:Version})
Replaces: kdebase-workspace-dbg (<< 4:4.6.0)
Breaks: kdebase-workspace-dbg (<< 4:4.6.0)
Description: debugging symbols for kdeartwork
 This package contains the debugging files associated with kdeartwork.
 They will automatically be used by gdb for debugging kdeartwork-related
 issues.
 .
 This package is part of the KDE artwork module.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf))
       conf_flags += -DWITH_OpenGL=OFF
endif

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kdeartwork-dbg

override_dh_auto_configure:
	$(overridden_command) -- $(conf_flags)

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kdeartwork-([\d\.]*).tar.xz

## kdeartwork 4.13.3

=== desktopthemes/Androbit/CMakeLists.txt ===
set(THEME_NAME "Androbit")

install(FILES colors metadata.desktop DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/${THEME_NAME}/)

FILE(GLOB widgets widgets/*.svgz)
install( FILES ${widgets} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/${THEME_NAME}/widgets/ )

FILE(GLOB dialogs dialogs/*.svgz)
install( FILES ${dialogs} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/${THEME_NAME}/dialogs/ )

FILE(GLOB opaque opaque/widgets/*.svgz)
install( FILES ${opaque} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/${THEME_NAME}/opaque/widgets/ )

FILE(GLOB opaque opaque/dialogs/*.svgz)
install( FILES ${opaque} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/${THEME_NAME}/opaque/dialogs/ )

=== emoticons/KMess-Violet/CMakeLists.txt ===

install( FILES emoticons.xml  angry.png confused.png cry.png  embarassed.png omg.png sad.png  shade.png smile.png teeth.png  tongue.png wink.png  DESTINATION  ${SHARE_INSTALL_PREFIX}/emoticons/KMess-Violet )

=== emoticons/phpBB/CMakeLists.txt ===

install( FILES biggrin.png confused.png cry.png devil.png  	oh.png smile.png sunglasses.png tongue.png  	unhappy.png wink.png emoticons.xml  DESTINATION  ${SHARE_INSTALL_PREFIX}/emoticons/phpBB )

=== emoticons/redones/CMakeLists.txt ===

install( FILES angel.png biggrin.png confused.png cry.png  	oh.png smile.png sunglasses.png tongue.png  	unhappy.png wink.png buck_teeth.png emoticons.xml  DESTINATION  ${SHARE_INSTALL_PREFIX}/emoticons/RedOnes )

=== kwin-styles/kde2/CMakeLists.txt ===

add_subdirectory( config ) 

########### next target ###############

set(kwin3_kde2_PART_SRCS kde2.cpp)


kde4_add_plugin(kwin3_kde2 ${kwin3_kde2_PART_SRCS})

target_link_libraries(kwin3_kde2
   ${KDE4WORKSPACE_KDECORATIONS_LIBS}
   ${KDE4_KDEUI_LIBS}
   ${QT_QTGUI_LIBRARY}
   ${QT_QTCORE_LIBRARY})

install(TARGETS kwin3_kde2  DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES kde2.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kwin/ )

=== kscreensaver/kdesavers/data/CMakeLists.txt ===

if(OPENGL_FOUND AND OPENGL_GLU_FOUND)
install( FILES kfs_particle.png kfs_particle_flare.png kfs_particle_diastar.png                   kfs_kde.png kfs_tux.png                   kfs_letters1.png kfs_letters2.png kfs_letters.desc                   kfs_explode.ogg kfs_debris.ogg  DESTINATION  ${DATA_INSTALL_DIR}/kfiresaver )
endif(OPENGL_FOUND AND OPENGL_GLU_FOUND)

=== kwin-styles/keramik/config/CMakeLists.txt ===
include_directories( ${KDEBASE_WORKSPACE_SOURCE_DIR}/kwin/lib  )


########### next target ###############

set(kwin_keramik_config_PART_SRCS config.cpp )


kde4_add_ui_files(kwin_keramik_config_PART_SRCS keramikconfig.ui )

kde4_add_plugin(kwin_keramik_config ${kwin_keramik_config_PART_SRCS})



target_link_libraries(kwin_keramik_config  ${KDE4_KDEUI_LIBS} ${QT_QTGUI_LIBRARY})

install(TARGETS kwin_keramik_config  DESTINATION ${PLUGIN_INSTALL_DIR} )

=== kwin-styles/quartz/config/CMakeLists.txt ===



########### next target ###############

set(kwin_quartz_config_PART_SRCS config.cpp )


kde4_add_plugin(kwin_quartz_config ${kwin_quartz_config_PART_SRCS})



target_link_libraries(kwin_quartz_config  ${KDE4_KDEUI_LIBS} ${QT_QTGUI_LIBRARY})

install(TARGETS kwin_quartz_config  DESTINATION ${PLUGIN_INSTALL_DIR} )

=== debian/changelog ===
kdeartwork (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:24:10 +0200

kdeartwork (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:49:45 +0200

## kdeartwork 4.14.1

=== debian/changelog ===
kdeartwork (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 22 Sep 2014 16:39:17 +0200

kdeartwork (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:41:07 +0200

kdeartwork (4:4.13.97-0ubuntu2) utopic; urgency=medium

  * kdeartwork-wallpapers breaks/replaces kdewallpapers << 4:4.13.90 for the
    SRU updates 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 12 Aug 2014 22:32:03 +0200

kdeartwork (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:25:12 +0200

kdeartwork (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:37:48 +0200

kdeartwork (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 14:15:38 -0700

kdeartwork (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * No-change rebuild against new libkdecorations ABI 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Jun 2014 20:17:27 +0200

kdeartwork (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Philip Muškovac ]
  * Document the svn rev in which 10_eigen3.patch was upstreamed in the
    Forwarded field (r1384805)

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:50:15 +0100

kdeartwork (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with debian unstable, remaining changes:
    - only build-depend on libqt4-opengl-dev on [!armel !armhf]
    - Bump breaks/replaces for kdeartwork-wallpapers to << 4:4.13.1

 -- Philip MuÅ¡kovac <yofel@kubuntu.org>  Fri, 06 Jun 2014 22:27:42 +0200

kdeartwork (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 13:34:02 +0200

kdeartwork (4:4.12.4-1) unstable; urgency=medium

  * Add additional copyright information. (Closes: #741931)
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:32 +0200

kdeartwork (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

  [ Pino Toscano ]
  * Remove ${shlibs:Depends} from kdeartwork-dbg.
  * Rename kdewallpapers to kdeartwork-wallpapers; provide a transitional
    package for the migration.
  * Suggest kde-wallpapers in kdeartwork-wallpapers.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Mar 2014 10:21:37 +0100

kdeartwork (4:4.12.2-1) experimental; urgency=medium

  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Update install files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:35 +0100

kdeartwork (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.
  * Switch to libeigen3-dev, thanks to Anton Gladky. (Closes: #728325)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 19:04:49 +0100

kdeartwork (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 14:50:20 +0200

kdeartwork (4:4.10.5-2) unstable; urgency=low

  [ Adrien Grellier ]
  * Correct typos in package descriptions. (Closes: #707078)

  [ Pino Toscano ]
  * Make nuvola-icon-theme and kde-icons-mono depend on hicolor-icon-theme,
    as both inherit it.
  * Changes in packages relationships:
    - demote the kscreensaver-xsavers recommend in kscreensaver to a suggest
    - make kscreensaver-xsavers depend on xscreensaver
    - make sure that the installed version of kscreensaver-xsavers cannot be
      lower than the kscreensaver one (Closes: #719541)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 Sep 2013 15:22:12 +0200

kdeartwork (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 17:52:23 +0200

kdeartwork (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 16:48:10 +0200

=== debian/control ===
Source: kdeartwork
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kde-workspace-dev (>= 4:4.11),
               libeigen3-dev,
               libkexiv2-dev,
               libqt4-opengl-dev [!armel !armhf],
               libstreamanalyzer-dev (>= 0.6.3),
               libx11-xcb-dev,
               libxt-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               xscreensaver,
               xscreensaver-data,
               xscreensaver-data-extra,
               xscreensaver-gl,
               xscreensaver-gl-extra,
               xscreensaver-screensaver-bsod,
               xscreensaver-screensaver-webcollage
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeartwork
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeartwork
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdeartwork.git
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdeartwork.git

Package: kdeartwork
Architecture: all
Depends: kdeartwork-emoticons (>= ${source:Version}),
         kdeartwork-style (>= ${source:Version}),
         kdeartwork-theme-icon (>= ${source:Version}) | kdelibs5-data,
         kdeartwork-theme-window (>= ${source:Version}),
         kdeartwork-wallpapers (>= ${source:Version}),
         kscreensaver (>= ${source:Version}),
         plasma-desktopthemes-artwork (>= ${source:Version}),
         ${misc:Depends}
Replaces: kdeartwork-misc
Breaks: kdeartwork-misc
Description: themes, styles and other artwork from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes a collection of additional artwork provided with the
 official release of KDE.

Package: kdeartwork-emoticons
Architecture: all
Depends: ${misc:Depends}
Description: emoticon collections for chat clients
 This package contains several collections of emoticons for chat clients,
 such as Kopete and Konversation.
 .
 This package is part of the KDE artwork module.

Package: kdewallpapers
Section: oldlibs
Architecture: all
Priority: extra
Depends: ${misc:Depends}, kdeartwork-wallpapers (>= ${source:Version})
Description: transitional package for kdeartwork-wallpapers
 This is a transitional package for upgrading to kdeartwork-wallpapers.
 .
 It can be safely removed after the upgrade.

Package: kdeartwork-wallpapers
Architecture: all
Depends: ${misc:Depends}
Suggests: kde-window-manager | x-window-manager, kde-wallpapers
Replaces: kde-wallpapers (<< 4:4.10), kdebase-workspace-data (<< 4:4.7.0), kdewallpapers (<< 4:4.13.90)
Breaks: kde-wallpapers (<< 4:4.10), kdebase-workspace-data (<< 4:4.7.0), kdewallpapers (<< 4:4.13.90)
Description: extra KDE artwork wallpapers for the KDE Plasma Workspaces
 This package contains more additional wallpapers for KDE Plasma Workspaces,
 in addition to the ones provided with kde-wallpapers.
 .
 This package is part of the KDE artwork module.

Package: kdeartwork-theme-icon
Depends: kde-icons-mono (>= ${source:Version}),
         nuvola-icon-theme (>= ${source:Version}),
         ${misc:Depends}
Architecture: all
Description: additional icon themes
 This metapackage installs additional icon themes for KDE.
 .
 This package is part of the KDE artwork module.

Package: kde-icons-nuvola
Section: oldlibs
Architecture: all
Priority: extra
Depends: nuvola-icon-theme, ${misc:Depends}
Description: transitional package for Nuvola icon theme
 Transitional package for ease upgrading from Nuvola icons as shipped
 in KDE 3 series.

Package: nuvola-icon-theme
Section: x11
Architecture: all
Depends: hicolor-icon-theme, ${misc:Depends}
Replaces: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.0-3)
Conflicts: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.0-3)
Description: Nuvola icon theme
 This package contains the Nuvola icon theme for KDE.
 .
 Nuvola follows the freedesktop.org icon schemes, so it can be used in other
 desktop environments using this specification.
 .
 This package is part of the KDE artwork module.

Package: kde-icons-mono
Architecture: all
Depends: hicolor-icon-theme, ${misc:Depends}
Replaces: kmouth (<< 4:4.6)
Breaks: kmouth (<< 4:4.6)
Description: monochromatic icons theme
 A monochromatic icons theme, designed for accessibility.
 .
 This package is part of the KDE accessibility module.

Package: kdeartwork-theme-window
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kde-window-manager (<< 4:4.5.80)
Breaks: kde-window-manager (<< 4:4.5.80)
Description: window decoration for the K Window Manager (KWin)
 This package contains additional window decorations for the K Window Manager.
 .
 This package is part of the KDE artwork module.

Package: kdeartwork-style
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: widget styles for applications using Qt or KDE Development Platform
 Currently it provides the following theme:
  * phase
 .
 This package is part of the KDE artwork module.

Package: kscreensaver
Architecture: any
Depends: kde-workspace-bin, ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-window-manager
Suggests: kscreensaver-xsavers (= ${binary:Version})
Breaks: kscreensaver-xsavers (<< ${binary:Version})
Description: additional screensavers for KScreenSaver
 This package contains screensavers for KScreenSaver.
 .
 The package kscreensaver-xsavers lets KScreenSaver also use the
 XScreenSaver collection of screensavers.
 .
 This package is part of the KDE artwork module.

Package: kscreensaver-xsavers
Architecture: any
Depends: kde-workspace-bin,
         xscreensaver,
         xscreensaver-data,
         xscreensaver-data-extra,
         xscreensaver-screensaver-bsod,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-window-manager,
            kscreensaver (= ${binary:Version}),
            xscreensaver-gl,
            xscreensaver-gl-extra
Suggests: kscreensaver-xsavers-webcollage (= ${source:Version})
Description: XScreenSaver support for KScreenSaver
 This package allows KScreenSaver to use the XScreenSaver collection of
 screensavers.
 .
 This package is part of the KDE artwork module.

Package: kscreensaver-xsavers-webcollage
Architecture: all
Depends: kscreensaver-xsavers (>= ${source:Version}),
         miscfiles,
         netpbm,
         xscreensaver-screensaver-webcollage,
         ${misc:Depends}
Description: webcollage screensaver support for KScreenSaver
 This package allows KScreenSaver to use the WebCollage screensaver, which
 downloads random pictures from the Internet to create a collage.
 .
 IMPORTANT NOTICE: the Internet contains all kinds of pictures, some of which
 might be found inappropriate or offensive.
 It is recommended that this screensaver not be used a public environment,
 workplace, or where it may be seen by children.
 .
 Please read /usr/share/doc/kscreensaver-xsavers-webcollage/README.Debian
 after installing this package.
 .
 This package is part of the KDE artwork module.

Package: plasma-desktopthemes-artwork
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: desktop themes for KDE Plasma Workspaces
 This package includes several desktop themes to change Plasma's look and
 feel.
 .
 This package is part of the KDE artwork module.

Package: kdeartwork-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}
Suggests: kdeartwork (= ${source:Version})
Replaces: kdebase-workspace-dbg (<< 4:4.6.0)
Breaks: kdebase-workspace-dbg (<< 4:4.6.0)
Description: debugging symbols for kdeartwork
 This package contains the debugging files associated with kdeartwork.
 They will automatically be used by gdb for debugging kdeartwork-related
 issues.
 .
 This package is part of the KDE artwork module.

## kdeartwork 4.14.2

=== HighResolutionWallpapers/CMakeLists.txt ===
install(DIRECTORY Autumn DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Blue_Wood DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

# install(DIRECTORY Chess DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY City_at_Night DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Damselfly DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Field DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Grass DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Hanami DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Holiday_Cactus DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Korea DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Media_Life DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Yellow_Flowers DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

=== WeatherWallpapers/CMakeLists.txt ===
install(DIRECTORY Beach_Reflecting_Clouds DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)
install(DIRECTORY City_at_Night DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)
install(DIRECTORY Icy_Tree DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)
install(DIRECTORY JK_Bridge_at_Night DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)
install(DIRECTORY Winter_Track DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)
install(DIRECTORY Storm DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

=== desktopthemes/slim-glow/CMakeLists.txt ===
set(THEME_NAME "slim-glow")

install(FILES colors metadata.desktop LICENSE DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/${THEME_NAME}/)

FILE(GLOB widgets widgets/*.svgz)
install( FILES ${widgets} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/${THEME_NAME}/widgets/ )

FILE(GLOB dialogs dialogs/*.svgz)
install( FILES ${dialogs} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/${THEME_NAME}/dialogs/ )

FILE(GLOB opaque opaque/widgets/*.svgz)
install( FILES ${opaque} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/${THEME_NAME}/opaque/widgets/ )

FILE(GLOB opaque opaque/dialogs/*.svgz)
install( FILES ${opaque} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/${THEME_NAME}/opaque/dialogs/ )

FILE(GLOB opaque icons/*.svgz)
install( FILES ${opaque} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/${THEME_NAME}/icons/ )

# FILE(GLOB lancelot lancelot/*.svgz)
# install( FILES ${lancelot} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/slim-glow/lancelot/ )
  #install(FILES lancelot/theme.config DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/slim-glow/lancelot/ )

=== debian/changelog ===
kdeartwork (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).
  * Silence lintian error description-is-pkg-name.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Oct 2014 22:56:12 +0200

kdeartwork (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream applied patch: 10_eigen3.patch

 -- Maximiliano Curia <maxy@debian.org>  Mon, 25 Aug 2014 01:00:41 +0200

kdeartwork (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Aug 2014 09:47:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kdeartwork
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -16,7 +15,7 @@
                kde-workspace-dev (>= 4:4.11),
                libeigen3-dev,
                libkexiv2-dev,
-               libqt4-opengl-dev [!armel !armhf],
+               libqt4-opengl-dev,
                libstreamanalyzer-dev (>= 0.6.3),
                libx11-xcb-dev,
                libxt-dev,
@@ -31,10 +30,8 @@
                xscreensaver-screensaver-webcollage
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeartwork
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeartwork
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdeartwork.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdeartwork.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdeartwork.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdeartwork.git
 
 Package: kdeartwork
 Architecture: all
@@ -82,8 +79,8 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: kde-window-manager | x-window-manager, kde-wallpapers
-Replaces: kde-wallpapers (<< 4:4.10), kdebase-workspace-data (<< 4:4.7.0), kdewallpapers (<< 4:4.13.90)
-Breaks: kde-wallpapers (<< 4:4.10), kdebase-workspace-data (<< 4:4.7.0), kdewallpapers (<< 4:4.13.90)
+Replaces: kde-wallpapers (<< 4:4.10), kdebase-workspace-data (<< 4:4.7.0), kdewallpapers (<< 4:4.12.2-2~)
+Breaks: kde-wallpapers (<< 4:4.10), kdebase-workspace-data (<< 4:4.7.0), kdewallpapers (<< 4:4.12.2-2~)
 Description: extra KDE artwork wallpapers for the KDE Plasma Workspaces
  This package contains more additional wallpapers for KDE Plasma Workspaces,
  in addition to the ones provided with kde-wallpapers.
@@ -115,7 +112,7 @@
 Depends: hicolor-icon-theme, ${misc:Depends}
 Replaces: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.0-3)
 Conflicts: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.0-3)
-Description: Nuvola icon theme
+Description: Nuvola icon theme for KDE
  This package contains the Nuvola icon theme for KDE.
  .
  Nuvola follows the freedesktop.org icon schemes, so it can be used in other

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kdeartwork-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kdeartwork-([\d.]+).tar.xz
